import coverage
import unittest
loader = unittest.TestLoader()
cov = coverage.Coverage(source=[
    "emodpy_generic.interventions.complex_import"
    , "emodpy_generic.interventions.emergence"
    , "emodpy_generic.interventions.polio_vaccine"
    , "emodpy_generic.interventions.simple_sia"
    , "emodpy_generic.demographics.GenericDemographics"
])
cov.start()

# First, load and run the unittest tests
from test_imports import GenericImportTests
from test_interventions import TestGenericInterventions
from test_sim_results import TestSimResults

test_classes_to_run = [GenericImportTests,
                       TestGenericInterventions,
                       TestSimResults]

suites_list = []
for tc in test_classes_to_run:
    suite = loader.loadTestsFromTestCase(tc)
    suites_list.append(suite)
    pass

big_suite = unittest.TestSuite(suites_list)
runner = unittest.TextTestRunner()
results = runner.run(big_suite)

cov.stop()
cov.save()
cov.html_report()